# Uses of Class
org.eclipse.mat.util.IProgressListener.OperationCanceledException

Packages that use IProgressListener.OperationCanceledException
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).

## Uses of IProgressListener.OperationCanceledException in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that throw IProgressListener.OperationCanceledException
Modifier and Type
Method
Description
`void`
SnapshotImpl.`calculateDominatorTree(IProgressListener listener)`
Calculates the dominator tree after a parse

## Uses of IProgressListener.OperationCanceledException in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that throw IProgressListener.OperationCanceledException
Modifier and Type
Method
Description
`abstract Object`
Expression.`compute(EvaluationContext ctx)`
`Object`
QueryExpression.`compute(EvaluationContext ctx)`

## Uses of IProgressListener.OperationCanceledException in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that throw IProgressListener.OperationCanceledException
Modifier and Type
Method
Description
`int`
ObjectMarker.`markSingleThreaded()`
`int`
ObjectMarker.`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`